commit:     470db86bf35977a176324617aec54eb36b625921
Author:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
AuthorDate: Sat Apr  2 05:06:37 2016 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Sat Apr  2 05:06:37 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=470db86b

sys-fs/lvm2: drop old <2.02.116 versions

 sys-fs/lvm2/Manifest                               |   3 -
 sys-fs/lvm2/files/device-mapper.rc-2.02.95-r2      | 111 ---------
 sys-fs/lvm2/files/lvm-monitoring.initd-2.02.67-r2  |  46 ----
 sys-fs/lvm2/files/lvm.rc-2.02.95-r2                |  96 --------
 .../lvm2-2.02.100-selinux_and_udev_static.patch    |  93 -------
 .../lvm2-2.02.107-static-pkgconfig-libs.patch      | 104 --------
 .../lvm2/files/lvm2-2.02.99-example.conf.in.patch  |  47 ----
 sys-fs/lvm2/lvm2-2.02.103.ebuild                   | 235 ------------------
 sys-fs/lvm2/lvm2-2.02.109-r1.ebuild                | 270 --------------------
 sys-fs/lvm2/lvm2-2.02.109.ebuild                   | 269 --------------------
 sys-fs/lvm2/lvm2-2.02.110.ebuild                   | 272 ---------------------
 11 files changed, 1546 deletions(-)

diff --git a/sys-fs/lvm2/Manifest b/sys-fs/lvm2/Manifest
index b448852..3ff8f23 100644
--- a/sys-fs/lvm2/Manifest
+++ b/sys-fs/lvm2/Manifest
@@ -1,6 +1,3 @@
-DIST LVM2.2.02.103.tgz 1343887 SHA256 
71c5a2e8842ed2f13f52e02b44eb183110a3410dedd1e117348e4eecc29d3c2a SHA512 
1a9920947312e3e248bff7ff5d5eb54dec3f3b05eb3388fa92f95369b26ae8e6838186f87d817b09e8c635ddc3cdf51bc1d07c2a9d65fd7eab33598998bb7afe
 WHIRLPOOL 
de96dd8b7fb46ec777f34169759852ee5ef03ccdc93e110bf63c92dddb9cf4f805635444ceeead6b581610d2a23217d3b4729c286f016623f73b99c0b35a42a0
-DIST LVM2.2.02.109.tgz 1482167 SHA256 
7bc95ba5209c8aa5bd492167b2e2797f156852ed11cfc63fb783070ade8e65e7 SHA512 
210645cccf297112ffdbc63e0336385c31b2d17d226ae10813ba8ffd4f01ce07af44a4134e60644283e4360e10e925113e867378502ae0166f3fc91258caea68
 WHIRLPOOL 
7f2d91446f502440b2ed73df0f2ce29069364bbb198e675223b61c17e5cc6e1c162ce60a977cb07b71e44d672c688bbbf0247380f1b9c5adf325cf324f4c4bb7
-DIST LVM2.2.02.110.tgz 1487448 SHA256 
3dad1aa04a71b8420b15f44c53f041001436539d3f8073490c2d0c52f6fecd11 SHA512 
5b4dfa5ed877d34efa5b109dc712e8fa9154b4954b267b0243f1925f9d2fa8c67f4ce8da36a85f3bba6c117f6153fdbf150e3753587ab90584a86d2654dc0812
 WHIRLPOOL 
ea221ed3e9d3f79009d7c341a7a75b52eacc5be79e28f2498e7cdc0f4a97c2bebff405b032eb8086d3b5b5aaf79da2f281c5734562355bddbe6004058e114ced
 DIST LVM2.2.02.116.tgz 1538340 SHA256 
2479d6ea61c405efcfcd8a78390d00c1d2e9c92c0262f3ed599f2c0fb6f0b767 SHA512 
992541339637d597257850b4ff7f5348fb7cdcccf806ac8d986a3be1ad1edc5f6bfaedeed5128690c541d1a485cdc75742e90a766363c39867901003518fb84d
 WHIRLPOOL 
1e89ec941882fddba62c9649be46eb5bc6c9cb899669d4bbe4a4a1023c8bf7d8264c4815ef88bb39dedcb9637815411feb826aa102e629d77b80e45e099e398d
 DIST LVM2.2.02.136.tgz 1891010 SHA256 
c6af90097d8f7cd851d38c4f57bb3ad7039cfa123f1e336dba957814a298bd8c SHA512 
ebda683e7dbeb2c4860a583d47e60756d18127e37a373ab2958af8e54b9bee0d2e3370b7803d88fa4b08564345c88af55bfbac317081160118ce4b3733b69f9d
 WHIRLPOOL 
8020fdddac648e32084801ffaf9b00b8a683870c8dd8dd5969851fd081eb1efd578decd82cd4a7a24fb6150c55afafdd819a76eb7eb6926cdc057455cc1d1618
 DIST LVM2.2.02.139.tgz 1897293 SHA256 
f423b1f2eee70efd671afc0982caa92e9413a582404057244021314172ec3a07 SHA512 
f112207d7447606915026495b931bffc4c0d68d36b9a8792fe4b7abf8b743bc4559da5c79145cb4d457337118e60552f9df511e31f2799001d29d006f7946cc0
 WHIRLPOOL 
8a1ca0bb6946b1f6761223a4a9e7c5e3e5247ff4b85bc08734258f4616fbabb0ea7a3b22b4a245367997ad810b4b304b747d8da0bd128c241fbafe645855b7f9

diff --git a/sys-fs/lvm2/files/device-mapper.rc-2.02.95-r2 
b/sys-fs/lvm2/files/device-mapper.rc-2.02.95-r2
deleted file mode 100644
index 4cd506a..0000000
--- a/sys-fs/lvm2/files/device-mapper.rc-2.02.95-r2
+++ /dev/null
@@ -1,111 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-depend() {
-       # As of .67-r1, we call ALL lvm start/stop scripts with --sysinit, that
-       # means dmeventd is NOT notified, as it cannot be safely running
-       before dmeventd checkfs fsck
-       after modules
-}
-
-dm_in_proc() {
-       local retval=0
-       for x in devices misc ; do
-               grep -qs 'device-mapper' /proc/${x}
-               retval=$((${retval} + $?))
-       done
-       return ${retval}
-}
-
-# char **get_new_dm_volumes(void)
-#
-#   Return dmsetup commands to setup volumes
-get_new_dm_volumes() {
-       local volume params
-
-       # Filter comments and blank lines
-       grep -v -e '^[[:space:]]*\(#\|$\)' /etc/dmtab | \
-       while read volume params ; do
-               # If it exists, skip it
-               dmvolume_exists "${volume%:}" && continue
-               # Assemble the command to run to create volume
-               echo "echo ${params} | /sbin/dmsetup create ${volume%:}"
-       done
-
-       return 0
-}
-
-# int dmvolume_exists(volume)
-#
-#   Return true if volume exists in DM table
-dmvolume_exists() {
-       local x line volume=$1
-
-       [ -z "${volume}" ] && return 1
-
-       /sbin/dmsetup ls 2>/dev/null | \
-       while read line ; do
-               for x in ${line} ; do
-                       # the following conditonal return only breaks out
-                       # of the while loop, as it is running in a pipe.
-                       [ "${x}" = "${volume}" ] && return 1
-                       # We only want to check the volume name
-                       break
-               done
-       done
-
-       # if 1 was returned from the above loop, then indicate that
-       # volume exists
-       [ $? = 1 ] && return 0
-
-       # otherwise the loop exited normally and the volume does not
-       # exist
-       return 1
-}
-
-# int is_empty_dm_volume(volume)
-#
-#   Return true if the volume exists in DM table, but is empty/non-valid
-is_empty_dm_volume() {
-       local table volume=$1
-
-       set -- $(/sbin/dmsetup table 2>/dev/null | grep -e "^${volume}:")
-       [ "${volume}" = "$1" -a -z "$2" ]
-}
-
-
-start() {
-       if [ -e /proc/modules ] && ! dm_in_proc ; then
-               modprobe dm-mod 2>/dev/null
-       fi
-       # Ensure the dirs exist for locking and running
-       checkpath -q -d -m 0700 -o root:root /run/lvm /run/lock/lvm
-
-       local x volume
-       
-       if [ -x /sbin/dmsetup -a -c /dev/mapper/control -a -f /etc/dmtab ] ; 
then
-               [ -n "$(get_new_dm_volumes)" ] && \
-                       einfo " Setting up device-mapper volumes:"
-       
-               get_new_dm_volumes | \
-               while read x ; do
-                       [ -n "${x}" ] || continue
-       
-                       volume="${x##* }"
-       
-                       ebegin "  Creating volume: ${volume}"
-                       if ! eval "${x}" >/dev/null 2>/dev/null ; then
-                               eend 1 "  Error creating volume: ${volume}"
-                               # dmsetup still adds an empty volume in some 
cases,
-                               #  so lets remove it
-                               is_empty_dm_volume "${volume}" && \
-                                       /sbin/dmsetup remove "${volume}" 
2>/dev/null
-                       else
-                               eend 0
-                       fi
-               done
-       fi
-}
-

diff --git a/sys-fs/lvm2/files/lvm-monitoring.initd-2.02.67-r2 
b/sys-fs/lvm2/files/lvm-monitoring.initd-2.02.67-r2
deleted file mode 100644
index 2a96706..0000000
--- a/sys-fs/lvm2/files/lvm-monitoring.initd-2.02.67-r2
+++ /dev/null
@@ -1,46 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-# This script is based on upstream file
-# LVM2.2.02.67/scripts/lvm2_monitoring_init_red_hat.in
-
-depend() {
-       # As of .67-r1, we call ALL lvm start/stop scripts with --sysinit, that
-       # means dmeventd is NOT notified, as it cannot be safely running
-       need lvm dmeventd
-}
-
-VGCHANGE=/sbin/vgchange
-VGS=/sbin/vgs
-
-start() {
-       ret=0
-       # TODO do we want to separate out already active groups only?
-       VGSLIST=`$VGS --noheadings -o name 2> /dev/null`
-       for vg in $VGSLIST
-       do
-           ebegin "Starting LVM monitoring for VG $vg:"
-               $VGCHANGE --monitor y --poll y $vg
-               ret2=$?
-               eend $ret2
-               [ $ret2 -ne 0 ] && ret=$ret2
-       done
-       return $ret
-}
-
-stop() {
-       ret=0
-       # TODO do we want to separate out already active groups only?
-       VGSLIST=`$VGS --noheadings -o name 2> /dev/null`
-       for vg in $VGSLIST
-       do
-           ebegin "Stopping LVM monitoring for VG $vg:"
-               $VGCHANGE --monitor n $vg
-               ret2=$?
-               eend $ret2
-               [ $ret2 -ne 0 ] && ret=$ret2
-       done
-       return $ret
-}

diff --git a/sys-fs/lvm2/files/lvm.rc-2.02.95-r2 
b/sys-fs/lvm2/files/lvm.rc-2.02.95-r2
deleted file mode 100644
index d0d9e31..0000000
--- a/sys-fs/lvm2/files/lvm.rc-2.02.95-r2
+++ /dev/null
@@ -1,96 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-depend() {
-       use dmeventd
-       before checkfs fsck
-       after dmeventd modules device-mapper
-}
-
-config='global { locking_dir = "/run/lock/lvm" }'
-
-dm_in_proc() {
-       local retval=0
-       for x in devices misc ; do
-               grep -qs 'device-mapper' /proc/${x}
-               retval=$((${retval} + $?))
-       done
-       return ${retval}
-}
-
-start() {
-       # LVM support for /usr, /home, /opt ....
-       # This should be done *before* checking local
-       # volumes, or they never get checked.
-       
-       # NOTE: Add needed modules for LVM or RAID, etc
-       #       to /etc/modules.autoload if needed
-       for lvm_path in /bin/lvm /sbin/lvm ; do
-               [ -x "$lvm_path" ] && break
-       done
-       if [ ! -x "$lvm_path" ]; then
-               eerror "Cannot find lvm binary in /sbin or /bin!"
-               return 1
-       fi
-       if [ -z "${CDBOOT}" ] ; then
-               if [ -e /proc/modules ] && ! dm_in_proc ; then
-                       modprobe dm-mod 2>/dev/null
-               fi
-               if [ -d /proc/lvm ] || dm_in_proc ; then
-                       ebegin "Setting up the Logical Volume Manager"
-                       #still echo stderr for debugging
-                       lvm_commands="#! ${lvm_path} --config '${config}'\n"
-                       # Extra PV find pass because some devices might not 
have been available until very recently
-                       lvm_commands="${lvm_commands}pvscan\n"
-                       # Now make the nodes
-                       lvm_commands="${lvm_commands}vgscan --mknodes\n"
-                       # And turn them on!
-                       lvm_commands="${lvm_commands}vgchange --sysinit -a ly\n"
-                       # Order of this is important, have to work around dash 
and LVM readline
-                       printf "%b\n" "${lvm_commands}" | $lvm_path 
/proc/self/fd/0 --config "${config}" >/dev/null
-                       eend $? "Failed to setup the LVM"
-               fi
-       fi
-}
-
-stop() {
-       for lvm_path in /bin/lvm /sbin/lvm ; do
-               [ -x "$lvm_path" ] && break
-       done
-       if [ ! -x "$lvm_path" ]; then
-               eerror "Cannot find lvm binary in /sbin or /bin!"
-               return 1
-       fi
-# Stop LVM2
-if [ -x /sbin/vgs ] && \
-   [ -x /sbin/vgchange ] && \
-   [ -x /sbin/lvchange ] && \
-   [ -f /etc/lvmtab -o -d /etc/lvm ] && \
-   [ -d /proc/lvm  -o "`grep device-mapper /proc/misc 2>/dev/null`" ]
-then
-       einfo "Shutting down the Logical Volume Manager"
-       
-
-        VGS=$($lvm_path vgs --config "${config}" -o vg_name --noheadings 
--nosuffix 2> /dev/null)
-
-        if [ "$VGS" ]
-        then
-            ebegin "  Shutting Down LVs & VGs"
-                       #still echo stderr for debugging
-                       lvm_commands="#! ${lvm_path} --config '${config}'\n"
-                       # Extra PV find pass because some devices might not 
have been available until very recently
-                       lvm_commands="${lvm_commands}lvchange --sysinit -a ln 
${VGS}\n"
-                       # Now make the nodes
-                       lvm_commands="${lvm_commands}vgchange --sysinit -a ln\n"
-                       # Order of this is important, have to work around dash 
and LVM readline
-                       printf "%b\n" "${lvm_commands}" | $lvm_path 
/proc/self/fd/0 --config "${config}" >/dev/null
-                       eend $? "Failed"
-        fi
-
-       einfo "Finished Shutting down the Logical Volume Manager"
-fi
-}
-
-# vim:ts=4

diff --git a/sys-fs/lvm2/files/lvm2-2.02.100-selinux_and_udev_static.patch 
b/sys-fs/lvm2/files/lvm2-2.02.100-selinux_and_udev_static.patch
deleted file mode 100644
index d6c8e5f..0000000
--- a/sys-fs/lvm2/files/lvm2-2.02.100-selinux_and_udev_static.patch
+++ /dev/null
@@ -1,93 +0,0 @@
-diff -ur LVM2.2.02.100.orig/configure.in LVM2.2.02.100/configure.in
---- LVM2.2.02.100.orig/configure.in    2013-08-13 13:44:43.000000000 +0300
-+++ LVM2.2.02.100/configure.in 2013-09-12 23:23:19.365329440 +0300
-@@ -954,6 +954,7 @@
-               pkg_config_init
-       fi
-       PKG_CHECK_MODULES(UDEV, libudev >= 143, [UDEV_PC="libudev"])
-+      UDEV_STATIC_LIBS=`$PKG_CONFIG --static --libs libudev`
-       AC_DEFINE([UDEV_SYNC_SUPPORT], 1, [Define to 1 to enable 
synchronisation with udev processing.])
- fi
- 
-@@ -1199,19 +1200,32 @@
- if test x$SELINUX = xyes; then
-       AC_CHECK_LIB([sepol], [sepol_check_context], [
-               AC_DEFINE([HAVE_SEPOL], 1, [Define to 1 if sepol_check_context 
is available.])
--              SELINUX_LIBS="-lsepol"])
-+              SEPOL_LIBS="-lsepol"])
- 
--      AC_CHECK_LIB([selinux], [is_selinux_enabled], [
--              AC_CHECK_HEADERS([selinux/selinux.h],, hard_bailout)
--              AC_CHECK_HEADERS([selinux/label.h])
--              AC_DEFINE([HAVE_SELINUX], 1, [Define to 1 to include support 
for selinux.])
--              SELINUX_LIBS="-lselinux $SELINUX_LIBS"
-+      dnl -- init pkgconfig if required
-+      if  test x$PKGCONFIG_INIT != x1; then
-+              pkg_config_init
-+      fi
-+      PKG_CHECK_MODULES(SELINUX, libselinux, [
-               SELINUX_PC="libselinux"
--              HAVE_SELINUX=yes ], [
--              AC_MSG_WARN(Disabling selinux)
--              SELINUX_LIBS=
--              SELINUX_PC=
--              HAVE_SELINUX=no ])
-+              SELINUX_STATIC_LIBS=`$PKG_CONFIG --static --libs libselinux`
-+              SELINUX_LIBS="$SELINUX_LIBS $SEPOL_LIBS"
-+              AC_DEFINE([HAVE_SELINUX], 1, [Define to 1 to include support 
for selinux.])
-+      ],[
-+              dnl -- old non-pkgconfig method, is buggy with static builds
-+              AC_CHECK_LIB([selinux], [is_selinux_enabled], [
-+                      AC_CHECK_HEADERS([selinux/selinux.h],, hard_bailout)
-+                      AC_CHECK_HEADERS([selinux/label.h])
-+                      AC_DEFINE([HAVE_SELINUX], 1, [Define to 1 to include 
support for selinux.])
-+                      SELINUX_LIBS="-lselinux $SEPOL_LIBS"
-+                      SELINUX_STATIC_LIBS="$SELINUX_LIBS"
-+                      SELINUX_PC="libselinux"
-+                      HAVE_SELINUX=yes ], [
-+                      AC_MSG_WARN(Disabling selinux)
-+                      SELINUX_LIBS=
-+                      SELINUX_PC=
-+                      HAVE_SELINUX=no ])
-+      ])
- fi
- 
- 
################################################################################
-@@ -1615,6 +1629,7 @@
- AC_SUBST(SALCK_CFLAGS)
- AC_SUBST(SALCK_LIBS)
- AC_SUBST(SELINUX_LIBS)
-+AC_SUBST(SELINUX_STATIC_LIBS)
- AC_SUBST(SELINUX_PC)
- AC_SUBST(SNAPSHOTS)
- AC_SUBST(STATICDIR)
-@@ -1625,6 +1640,7 @@
- AC_SUBST(THIN_DUMP_CMD)
- AC_SUBST(THIN_REPAIR_CMD)
- AC_SUBST(UDEV_LIBS)
-+AC_SUBST(UDEV_STATIC_LIBS)
- AC_SUBST(UDEV_PC)
- AC_SUBST(UDEV_RULES)
- AC_SUBST(UDEV_SYNC)
-diff -ur LVM2.2.02.100.orig/make.tmpl.in LVM2.2.02.100/make.tmpl.in
---- LVM2.2.02.100.orig/make.tmpl.in    2013-08-13 13:44:43.000000000 +0300
-+++ LVM2.2.02.100/make.tmpl.in 2013-09-12 23:22:58.125328808 +0300
-@@ -32,7 +32,7 @@
- 
- LIBS = @LIBS@
- # Extra libraries always linked with static binaries
--STATIC_LIBS = $(SELINUX_LIBS) $(UDEV_LIBS)
-+STATIC_LIBS = $(SELINUX_STATIC_LIBS) $(UDEV_STATIC_LIBS)
- DEFS += @DEFS@
- # FIXME set this only where it's needed, not globally?
- CFLAGS += @CFLAGS@ @UDEV_CFLAGS@
-@@ -46,7 +46,9 @@
- PTHREAD_LIBS = @PTHREAD_LIBS@
- READLINE_LIBS = @READLINE_LIBS@
- SELINUX_LIBS = @SELINUX_LIBS@
-+SELINUX_STATIC_LIBS = @SELINUX_STATIC_LIBS@
- UDEV_LIBS = @UDEV_LIBS@
-+UDEV_STATIC_LIBS = @UDEV_STATIC_LIBS@
- TESTING = @TESTING@
- 
- # Setup directory variables

diff --git a/sys-fs/lvm2/files/lvm2-2.02.107-static-pkgconfig-libs.patch 
b/sys-fs/lvm2/files/lvm2-2.02.107-static-pkgconfig-libs.patch
deleted file mode 100644
index 723cd0e..0000000
--- a/sys-fs/lvm2/files/lvm2-2.02.107-static-pkgconfig-libs.patch
+++ /dev/null
@@ -1,104 +0,0 @@
-diff -Nuar --exclude '*.orig' --exclude '*.rej' 
LVM2.2.02.107.orig/configure.in LVM2.2.02.107/configure.in
---- LVM2.2.02.107.orig/configure.in    2014-07-15 12:57:55.867439868 -0700
-+++ LVM2.2.02.107/configure.in 2014-07-15 17:24:02.662666091 -0700
-@@ -997,6 +997,7 @@
-                          fi])
-       if test "$BLKID_WIPING" = yes; then
-               BLKID_PC="blkid"
-+              BLKID_STATIC_LIBS=`$PKG_CONFIG --static --libs $BLKID_PC`
-               AC_DEFINE([BLKID_WIPING_SUPPORT], 1, [Define to 1 to use 
libblkid detection of signatures when wiping.])
-       fi
- fi
-@@ -1022,6 +1023,7 @@
- if test "$UDEV_SYNC" = yes; then
-       pkg_config_init
-       PKG_CHECK_MODULES(UDEV, libudev >= 143, [UDEV_PC="libudev"])
-+      UDEV_STATIC_LIBS=`$PKG_CONFIG --static --libs libudev`
-       AC_DEFINE([UDEV_SYNC_SUPPORT], 1, [Define to 1 to enable 
synchronisation with udev processing.])
- fi
- 
-@@ -1242,19 +1244,32 @@
- if test "$SELINUX" = yes; then
-       AC_CHECK_LIB([sepol], [sepol_check_context], [
-               AC_DEFINE([HAVE_SEPOL], 1, [Define to 1 if sepol_check_context 
is available.])
--              SELINUX_LIBS="-lsepol"])
-+              SEPOL_LIBS="-lsepol"])
-+
-+      dnl -- init pkgconfig if required
-+      if  test x$PKGCONFIG_INIT != x1; then
-+              pkg_config_init
-+      fi
-+      PKG_CHECK_MODULES(SELINUX, libselinux, [
-+              SELINUX_PC="libselinux"
-+              SELINUX_STATIC_LIBS=`$PKG_CONFIG --static --libs libselinux`
-+              SELINUX_LIBS="$SELINUX_LIBS $SEPOL_LIBS"
-+              AC_DEFINE([HAVE_SELINUX], 1, [Define to 1 to include support 
for selinux.])
-+      ],[
-+              dnl -- old non-pkgconfig method, is buggy with static builds
- 
-       AC_CHECK_LIB([selinux], [is_selinux_enabled], [
-               AC_CHECK_HEADERS([selinux/selinux.h],, hard_bailout)
-               AC_CHECK_HEADERS([selinux/label.h])
-               AC_DEFINE([HAVE_SELINUX], 1, [Define to 1 to include support 
for selinux.])
--              SELINUX_LIBS="-lselinux $SELINUX_LIBS"
-+              SELINUX_LIBS="-lselinux $SEPOL_LIBS"
-               SELINUX_PC="libselinux"
-               HAVE_SELINUX=yes ], [
-               AC_MSG_WARN(Disabling selinux)
-               SELINUX_LIBS=
-               SELINUX_PC=
-               HAVE_SELINUX=no ])
-+      ])
- fi
- 
- 
################################################################################
-@@ -1556,6 +1571,7 @@
- 
################################################################################
- AC_SUBST(APPLIB)
- AC_SUBST(AWK)
-+AC_SUBST(BLKID_STATIC_LIBS)
- AC_SUBST(BLKID_PC)
- AC_SUBST(BLKID_WIPING)
- AC_SUBST(BUILD_CMIRRORD)
-@@ -1651,6 +1667,7 @@
- AC_SUBST(SALCK_CFLAGS)
- AC_SUBST(SALCK_LIBS)
- AC_SUBST(SELINUX_LIBS)
-+AC_SUBST(SELINUX_STATIC_LIBS)
- AC_SUBST(SELINUX_PC)
- AC_SUBST(SNAPSHOTS)
- AC_SUBST(STATICDIR)
-@@ -1662,6 +1679,7 @@
- AC_SUBST(THIN_DUMP_CMD)
- AC_SUBST(THIN_REPAIR_CMD)
- AC_SUBST(THIN_RESTORE_CMD)
-+AC_SUBST(UDEV_STATIC_LIBS)
- AC_SUBST(UDEV_PC)
- AC_SUBST(UDEV_RULES)
- AC_SUBST(UDEV_SYNC)
-diff -Nuar --exclude '*.orig' --exclude '*.rej' 
LVM2.2.02.107.orig/make.tmpl.in LVM2.2.02.107/make.tmpl.in
---- LVM2.2.02.107.orig/make.tmpl.in    2014-07-15 12:57:55.868439884 -0700
-+++ LVM2.2.02.107/make.tmpl.in 2014-07-15 17:23:24.060055838 -0700
-@@ -44,7 +44,7 @@
- 
- LIBS = @LIBS@
- # Extra libraries always linked with static binaries
--STATIC_LIBS = $(SELINUX_LIBS) $(UDEV_LIBS) $(BLKID_LIBS)
-+STATIC_LIBS = $(SELINUX_STATIC_LIBS) $(UDEV_STATIC_LIBS) $(BLKID_STATIC_LIBS)
- DEFS += @DEFS@
- # FIXME set this only where it's needed, not globally?
- CFLAGS += @CFLAGS@
-@@ -59,10 +59,13 @@
- PTHREAD_LIBS = @PTHREAD_LIBS@
- READLINE_LIBS = @READLINE_LIBS@
- SELINUX_LIBS = @SELINUX_LIBS@
-+SELINUX_STATIC_LIBS = @SELINUX_STATIC_LIBS@
- UDEV_CFLAGS = @UDEV_CFLAGS@
- UDEV_LIBS = @UDEV_LIBS@
-+UDEV_STATIC_LIBS = @UDEV_STATIC_LIBS@
- BLKID_CFLAGS = @BLKID_CFLAGS@
- BLKID_LIBS = @BLKID_LIBS@
-+BLKID_STATIC_LIBS = @BLKID_STATIC_LIBS@
- TESTING = @TESTING@
- 
- # Setup directory variables

diff --git a/sys-fs/lvm2/files/lvm2-2.02.99-example.conf.in.patch 
b/sys-fs/lvm2/files/lvm2-2.02.99-example.conf.in.patch
deleted file mode 100644
index 38be5df..0000000
--- a/sys-fs/lvm2/files/lvm2-2.02.99-example.conf.in.patch
+++ /dev/null
@@ -1,47 +0,0 @@
---- conf/example.conf.in
-+++ conf/example.conf.in
-@@ -50,7 +50,9 @@
- 
- 
-     # By default we accept every block device:
--    filter = [ "a/.*/" ]
-+    # Gentoo: we exclude /dev/nbd by default, because it makes a lot of kernel
-+    # noise when you probed while not available.
-+    filter = [ "r|/dev/nbd.*|", "a/.*/" ]
- 
-     # Exclude the cdrom drive
-     # filter = [ "r|/dev/cdrom|" ]
-@@ -259,6 +261,8 @@
-     # the new lvm2 on-disk metadata format.
-     # The default value is set when the tools are built.
-     # fallback_to_lvm1 = 0
-+    # Gentoo: the LVM tools are a seperate package.
-+    fallback_to_lvm1 = 0
- 
-     # The default metadata format that commands should use - "lvm1" or "lvm2".
-     # The command line override is -M1 or -M2.
-@@ -449,12 +453,12 @@
- 
- # Metadata settings
- #
--# metadata {
-+metadata {
-     # Default number of copies of metadata to hold on each PV.  0, 1 or 2.
-     # You might want to override it from the command line with 0 
-     # when running pvcreate on new PVs which are to be added to large VGs.
--
--    # pvmetadatacopies = 1
-+    # Gentoo: enable for data safety, but PV resize is then disabled.
-+    #pvmetadatacopies = 2
- 
-     # Approximate default size of on-disk metadata areas in sectors.
-     # You should increase this if you have large volume groups or
-@@ -476,7 +480,7 @@
-     # the supplied toolset to make changes (e.g. vgcfgrestore).
- 
-     # dirs = [ "/etc/lvm/metadata", "/mnt/disk2/lvm/metadata2" ]
--#}
-+}
- 
- # Event daemon
- #

diff --git a/sys-fs/lvm2/lvm2-2.02.103.ebuild b/sys-fs/lvm2/lvm2-2.02.103.ebuild
deleted file mode 100644
index a9e1ceb..0000000
--- a/sys-fs/lvm2/lvm2-2.02.103.ebuild
+++ /dev/null
@@ -1,235 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-inherit autotools eutils linux-info multilib systemd toolchain-funcs udev
-
-DESCRIPTION="User-land utilities for LVM2 (device-mapper) software"
-HOMEPAGE="https://sources.redhat.com/lvm2/";
-SRC_URI="ftp://sources.redhat.com/pub/lvm2/${PN/lvm/LVM}.${PV}.tgz
-       ftp://sources.redhat.com/pub/lvm2/old/${PN/lvm/LVM}.${PV}.tgz";
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="alpha amd64 arm arm64 hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 
~amd64-linux ~x86-linux"
-IUSE="readline static static-libs clvm cman +lvm1 lvm2create_initrd selinux 
+udev +thin"
-
-DEPEND_COMMON="clvm? ( cman? ( =sys-cluster/cman-3* ) =sys-cluster/libdlm-3* )
-       readline? ( sys-libs/readline:0= )
-       udev? ( >=virtual/libudev-208:=[static-libs?] )"
-# /run is now required for locking during early boot. /var cannot be assumed to
-# be available -- thus, pull in recent enough baselayout for /run.
-# This version of LVM is incompatible with cryptsetup <1.1.2.
-RDEPEND="${DEPEND_COMMON}
-       >=sys-apps/baselayout-2.2
-       !<sys-apps/openrc-0.11
-       !<sys-fs/cryptsetup-1.1.2
-       !!sys-fs/clvm
-       !!sys-fs/lvm-user
-       >=sys-apps/util-linux-2.16
-       lvm2create_initrd? ( sys-apps/makedev )
-       thin? ( >=sys-block/thin-provisioning-tools-0.2.1 )"
-DEPEND="${DEPEND_COMMON}
-       virtual/pkgconfig
-       >=sys-devel/binutils-2.20.1-r1
-       static? (
-               selinux? ( sys-libs/libselinux[static-libs] )
-               udev? ( >=virtual/libudev-208:=[static-libs] )
-       )"
-
-S=${WORKDIR}/${PN/lvm/LVM}.${PV}
-
-pkg_setup() {
-       local CONFIG_CHECK="~SYSVIPC"
-
-       if use udev; then
-               local WARNING_SYSVIPC="CONFIG_SYSVIPC:\tis not set (required 
for udev sync)\n"
-               if linux_config_exists; then
-                       local uevent_helper_path=$(linux_chkconfig_string 
UEVENT_HELPER_PATH)
-                       if [ -n "${uevent_helper_path}" ] && [ 
"${uevent_helper_path}" != '""' ]; then
-                               ewarn "It's recommended to set an empty value 
to the following kernel config option:"
-                               ewarn 
"CONFIG_UEVENT_HELPER_PATH=${uevent_helper_path}"
-                       fi
-               fi
-       fi
-
-       check_extra_config
-
-       # 1. Genkernel no longer copies /sbin/lvm blindly.
-       if use static; then
-               elog "Warning, we no longer overwrite /sbin/lvm and 
/sbin/dmsetup with"
-               elog "their static versions. If you need the static binaries,"
-               elog "you must append .static to the filename!"
-       fi
-}
-
-src_prepare() {
-       # Gentoo specific modification(s):
-       epatch "${FILESDIR}"/${PN}-2.02.99-example.conf.in.patch
-
-       sed -i \
-               -e "1iAR = $(tc-getAR)" \
-               -e "s:CC ?= @CC@:CC = $(tc-getCC):" \
-               make.tmpl.in || die #444082
-
-       sed -i -e '/FLAG/s:-O2::' configure{,.in} || die #480212
-
-       # For upstream -- review and forward:
-       epatch "${FILESDIR}"/${PN}-2.02.63-always-make-static-libdm.patch
-       epatch "${FILESDIR}"/${PN}-2.02.56-lvm2create_initrd.patch
-       epatch "${FILESDIR}"/${PN}-2.02.67-createinitrd.patch #301331
-       epatch "${FILESDIR}"/${PN}-2.02.99-locale-muck.patch #330373
-       epatch "${FILESDIR}"/${PN}-2.02.70-asneeded.patch # -Wl,--as-needed
-       epatch "${FILESDIR}"/${PN}-2.02.92-dynamic-static-ldflags.patch #332905
-       epatch "${FILESDIR}"/${PN}-2.02.100-selinux_and_udev_static.patch 
#370217, #439414
-
-       eautoreconf
-}
-
-src_configure() {
-       local myconf
-       local buildmode
-
-       myconf="${myconf} --enable-dmeventd"
-       myconf="${myconf} --enable-cmdlib"
-       myconf="${myconf} --enable-applib"
-       myconf="${myconf} --enable-fsadm"
-       myconf="${myconf} --enable-lvmetad"
-
-       # Most of this package does weird stuff.
-       # The build options are tristate, and --without is NOT supported
-       # options: 'none', 'internal', 'shared'
-       if use static; then
-               buildmode="internal"
-               # This only causes the .static versions to become available
-               myconf="${myconf} --enable-static_link"
-       else
-               buildmode="shared"
-       fi
-
-       # dmeventd requires mirrors to be internal, and snapshot available
-       # so we cannot disable them
-       myconf="${myconf} --with-mirrors=internal"
-       myconf="${myconf} --with-snapshots=internal"
-       use thin \
-               && myconf="${myconf} --with-thin=internal" \
-               || myconf="${myconf} --with-thin=none"
-
-       if use lvm1; then
-               myconf="${myconf} --with-lvm1=${buildmode}"
-       else
-               myconf="${myconf} --with-lvm1=none"
-       fi
-
-       # disable O_DIRECT support on hppa, breaks pv detection (#99532)
-       use hppa && myconf="${myconf} --disable-o_direct"
-
-       if use clvm; then
-               myconf="${myconf} --with-cluster=${buildmode}"
-               # 4-state! Make sure we get it right, per bug 210879
-               # Valid options are: none, cman, gulm, all
-               #
-               # 2009/02:
-               # gulm is removed now, now dual-state:
-               # cman, none
-               # all still exists, but is not needed
-               #
-               # 2009/07:
-               # TODO: add corosync and re-enable ALL
-               local clvmd=""
-               use cman && clvmd="cman"
-               #clvmd="${clvmd/cmangulm/all}"
-               [ -z "${clvmd}" ] && clvmd="none"
-               myconf="${myconf} --with-clvmd=${clvmd}"
-               myconf="${myconf} --with-pool=${buildmode}"
-       else
-               myconf="${myconf} --with-clvmd=none --with-cluster=none"
-       fi
-
-       econf \
-               $(use_enable readline) \
-               $(use_enable selinux) \
-               --enable-pkgconfig \
-               --with-confdir="${EPREFIX}"/etc \
-               --exec-prefix="${EPREFIX}" \
-               --sbindir="${EPREFIX}/sbin" \
-               --with-staticdir="${EPREFIX}"/sbin \
-               --libdir="${EPREFIX}/$(get_libdir)" \
-               --with-usrlibdir="${EPREFIX}/usr/$(get_libdir)" \
-               --with-default-dm-run-dir=/run \
-               --with-default-run-dir=/run/lvm \
-               --with-default-locking-dir=/run/lock/lvm \
-               --with-default-pid-dir=/run \
-               $(use_enable udev udev_rules) \
-               $(use_enable udev udev_sync) \
-               $(use_with udev udevdir "$(get_udevdir)"/rules.d) \
-               "$(systemd_with_unitdir)" \
-               ${myconf} \
-               CLDFLAGS="${LDFLAGS}"
-}
-
-src_compile() {
-       pushd include >/dev/null
-       emake
-       popd >/dev/null
-
-       emake
-       emake CC="$(tc-getCC)" -C scripts 
lvm2_activation_generator_systemd_red_hat
-}
-
-src_install() {
-       local inst
-       for inst in install install_systemd_units install_systemd_generators 
install_tmpfiles_configuration; do
-               emake DESTDIR="${D}" ${inst}
-       done
-
-       newinitd "${FILESDIR}"/lvm.rc-2.02.95-r2 lvm
-       newconfd "${FILESDIR}"/lvm.confd-2.02.28-r2 lvm
-
-       newinitd "${FILESDIR}"/lvm-monitoring.initd-2.02.67-r2 lvm-monitoring
-
-       newinitd "${FILESDIR}"/device-mapper.rc-2.02.95-r2 device-mapper
-       newconfd "${FILESDIR}"/device-mapper.conf-1.02.22-r3 device-mapper
-
-       newinitd "${FILESDIR}"/dmeventd.initd-2.02.67-r1 dmeventd
-
-       if use clvm; then
-               newinitd "${FILESDIR}"/clvmd.rc-2.02.39 clvmd
-               newconfd "${FILESDIR}"/clvmd.confd-2.02.39 clvmd
-       fi
-
-       if use static-libs; then
-               dolib.a libdm/ioctl/libdevmapper.a
-               dolib.a libdaemon/client/libdaemonclient.a #462908
-               #gen_usr_ldscript libdevmapper.so
-               dolib.a daemons/dmeventd/libdevmapper-event.a
-               #gen_usr_ldscript libdevmapper-event.so
-       else
-               rm -f 
"${ED}"usr/$(get_libdir)/{libdevmapper-event,liblvm2cmd,liblvm2app,libdevmapper}.a
-       fi
-
-       if use lvm2create_initrd; then
-               dosbin scripts/lvm2create_initrd/lvm2create_initrd
-               doman scripts/lvm2create_initrd/lvm2create_initrd.8
-               newdoc scripts/lvm2create_initrd/README README.lvm2create_initrd
-       fi
-
-       insinto /etc
-       doins "${FILESDIR}"/dmtab
-
-       dodoc README VERSION* WHATS_NEW WHATS_NEW_DM doc/*.{c,txt} conf/*.conf
-}
-
-pkg_postinst() {
-       ewarn "Make sure the \"lvm\" init script is in the runlevels:"
-       ewarn "# rc-update add lvm boot"
-       ewarn
-       ewarn "Make sure to enable lvmetad in /etc/lvm/lvm.conf if you want"
-       ewarn "to enable lvm autoactivation and metadata caching."
-}
-
-src_test() {
-       einfo "Tests are disabled because of device-node mucking, if you want 
to"
-       einfo "run tests, compile the package and see ${S}/tests"
-}

diff --git a/sys-fs/lvm2/lvm2-2.02.109-r1.ebuild 
b/sys-fs/lvm2/lvm2-2.02.109-r1.ebuild
deleted file mode 100644
index 51ab306..0000000
--- a/sys-fs/lvm2/lvm2-2.02.109-r1.ebuild
+++ /dev/null
@@ -1,270 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-inherit autotools eutils linux-info multilib systemd toolchain-funcs udev 
flag-o-matic
-
-DESCRIPTION="User-land utilities for LVM2 (device-mapper) software"
-HOMEPAGE="https://sources.redhat.com/lvm2/";
-SRC_URI="ftp://sources.redhat.com/pub/lvm2/${PN/lvm/LVM}.${PV}.tgz
-       ftp://sources.redhat.com/pub/lvm2/old/${PN/lvm/LVM}.${PV}.tgz";
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~amd64-linux ~x86-linux"
-IUSE="readline static static-libs systemd clvm cman lvm1 lvm2create_initrd 
selinux +udev +thin device-mapper-only"
-REQUIRED_USE="device-mapper-only? ( !clvm !cman !lvm1 !lvm2create_initrd !thin 
)
-       static? ( !udev )" #520450
-
-DEPEND_COMMON="clvm? ( cman? ( =sys-cluster/cman-3* ) =sys-cluster/libdlm-3* )
-       readline? ( sys-libs/readline:0= )
-       udev? ( >=virtual/libudev-208:=[static-libs?] )"
-# /run is now required for locking during early boot. /var cannot be assumed to
-# be available -- thus, pull in recent enough baselayout for /run.
-# This version of LVM is incompatible with cryptsetup <1.1.2.
-RDEPEND="${DEPEND_COMMON}
-       >=sys-apps/baselayout-2.2
-       !<sys-apps/openrc-0.11
-       !<sys-fs/cryptsetup-1.1.2
-       !!sys-fs/clvm
-       !!sys-fs/lvm-user
-       >=sys-apps/util-linux-2.16
-       lvm2create_initrd? ( sys-apps/makedev )
-       thin? ( >=sys-block/thin-provisioning-tools-0.3.0 )"
-# note: thin- 0.3.0 is required to avoid --disable-thin_check_needs_check
-DEPEND="${DEPEND_COMMON}
-       virtual/pkgconfig
-       >=sys-devel/binutils-2.20.1-r1
-       static? (
-               selinux? ( sys-libs/libselinux[static-libs] )
-               udev? ( >=virtual/libudev-208:=[static-libs] )
-               >=sys-apps/util-linux-2.16[static-libs]
-       )"
-
-S=${WORKDIR}/${PN/lvm/LVM}.${PV}
-
-pkg_setup() {
-       local CONFIG_CHECK="~SYSVIPC"
-
-       if use udev; then
-               local WARNING_SYSVIPC="CONFIG_SYSVIPC:\tis not set (required 
for udev sync)\n"
-               if linux_config_exists; then
-                       local uevent_helper_path=$(linux_chkconfig_string 
UEVENT_HELPER_PATH)
-                       if [ -n "${uevent_helper_path}" ] && [ 
"${uevent_helper_path}" != '""' ]; then
-                               ewarn "It's recommended to set an empty value 
to the following kernel config option:"
-                               ewarn 
"CONFIG_UEVENT_HELPER_PATH=${uevent_helper_path}"
-                       fi
-               fi
-       fi
-
-       check_extra_config
-
-       # 1. Genkernel no longer copies /sbin/lvm blindly.
-       if use static; then
-               elog "Warning, we no longer overwrite /sbin/lvm and 
/sbin/dmsetup with"
-               elog "their static versions. If you need the static binaries,"
-               elog "you must append .static to the filename!"
-       fi
-}
-
-src_prepare() {
-       # Gentoo specific modification(s):
-       epatch "${FILESDIR}"/${PN}-2.02.108-example.conf.in.patch
-
-       sed -i \
-               -e "1iAR = $(tc-getAR)" \
-               -e "s:CC ?= @CC@:CC = $(tc-getCC):" \
-               make.tmpl.in || die #444082
-
-       sed -i -e '/FLAG/s:-O2::' configure{.in,} || die #480212
-
-       if use systemd && ! use device-mapper-only; then
-               sed -i -e '/use_lvmetad =/s:0:1:' conf/example.conf.in || die 
#514196
-       fi
-
-       sed -i -e "s:/usr/bin/true:$(type -P true):" 
scripts/blk_availability_systemd_red_hat.service.in || die #517514
-
-       # For upstream -- review and forward:
-       epatch "${FILESDIR}"/${PN}-2.02.63-always-make-static-libdm.patch
-       epatch "${FILESDIR}"/${PN}-2.02.56-lvm2create_initrd.patch
-       epatch "${FILESDIR}"/${PN}-2.02.67-createinitrd.patch #301331
-       epatch "${FILESDIR}"/${PN}-2.02.99-locale-muck.patch #330373
-       epatch "${FILESDIR}"/${PN}-2.02.70-asneeded.patch # -Wl,--as-needed
-       epatch "${FILESDIR}"/${PN}-2.02.92-dynamic-static-ldflags.patch #332905
-       epatch "${FILESDIR}"/${PN}-2.02.108-static-pkgconfig-libs.patch 
#370217, #439414 + blkid
-       epatch "${FILESDIR}"/${PN}-2.02.106-pthread-pkgconfig.patch #492450
-
-       # Without thin-privision-tools, there is nothing to install for target 
install_man7:
-       use thin || { sed -i -e '/^install_lvm2/s:install_man7::' 
man/Makefile.in || die; }
-
-       sed -i -e 's:|share):|shared):' configure.in || die #520640
-
-       eautoreconf
-}
-
-src_configure() {
-       filter-flags -flto
-       local myconf
-       local buildmode
-
-       myconf="${myconf} $(use_enable !device-mapper-only dmeventd)"
-       myconf="${myconf} $(use_enable !device-mapper-only cmdlib)"
-       myconf="${myconf} $(use_enable !device-mapper-only applib)"
-       myconf="${myconf} $(use_enable !device-mapper-only fsadm)"
-       myconf="${myconf} $(use_enable !device-mapper-only lvmetad)"
-       use device-mapper-only && myconf="${myconf} 
--disable-udev-systemd-background-jobs"
-
-       # Most of this package does weird stuff.
-       # The build options are tristate, and --without is NOT supported
-       # options: 'none', 'internal', 'shared'
-       if use static; then
-               buildmode="internal"
-               # This only causes the .static versions to become available
-               myconf="${myconf} --enable-static_link"
-       else
-               buildmode="shared"
-       fi
-       dmbuildmode=$(use !device-mapper-only && echo internal || echo none)
-
-       # dmeventd requires mirrors to be internal, and snapshot available
-       # so we cannot disable them
-       myconf="${myconf} --with-mirrors=${dmbuildmode}"
-       myconf="${myconf} --with-snapshots=${dmbuildmode}"
-       if use thin; then
-               myconf="${myconf} --with-thin=internal --with-cache=internal"
-               local texec
-               for texec in check dump repair restore; do
-                       myconf="${myconf} 
--with-thin-${texec}=${EPREFIX}/sbin/thin_${texec}"
-                       myconf="${myconf} 
--with-cache-${texec}=${EPREFIX}/sbin/cache_${texec}"
-               done
-       else
-               myconf="${myconf} --with-thin=none --with-cache=none"
-       fi
-
-       if use lvm1; then
-               myconf="${myconf} --with-lvm1=${buildmode}"
-       else
-               myconf="${myconf} --with-lvm1=none"
-       fi
-
-       # disable O_DIRECT support on hppa, breaks pv detection (#99532)
-       use hppa && myconf="${myconf} --disable-o_direct"
-
-       if use clvm; then
-               myconf="${myconf} --with-cluster=${buildmode}"
-               # 4-state! Make sure we get it right, per bug 210879
-               # Valid options are: none, cman, gulm, all
-               #
-               # 2009/02:
-               # gulm is removed now, now dual-state:
-               # cman, none
-               # all still exists, but is not needed
-               #
-               # 2009/07:
-               # TODO: add corosync and re-enable ALL
-               local clvmd=""
-               use cman && clvmd="cman"
-               #clvmd="${clvmd/cmangulm/all}"
-               [ -z "${clvmd}" ] && clvmd="none"
-               myconf="${myconf} --with-clvmd=${clvmd}"
-               myconf="${myconf} --with-pool=${buildmode}"
-       else
-               myconf="${myconf} --with-clvmd=none --with-cluster=none"
-       fi
-
-       econf \
-               $(use_enable readline) \
-               $(use_enable selinux) \
-               --enable-pkgconfig \
-               --with-confdir="${EPREFIX}"/etc \
-               --exec-prefix="${EPREFIX}" \
-               --sbindir="${EPREFIX}/sbin" \
-               --with-staticdir="${EPREFIX}"/sbin \
-               --libdir="${EPREFIX}/$(get_libdir)" \
-               --with-usrlibdir="${EPREFIX}/usr/$(get_libdir)" \
-               --with-default-dm-run-dir=/run \
-               --with-default-run-dir=/run/lvm \
-               --with-default-locking-dir=/run/lock/lvm \
-               --with-default-pid-dir=/run \
-               $(use_enable udev udev_rules) \
-               $(use_enable udev udev_sync) \
-               $(use_with udev udevdir "$(get_udevdir)"/rules.d) \
-               $(use_enable systemd udev-systemd-background-jobs) \
-               "$(systemd_with_unitdir)" \
-               ${myconf} \
-               CLDFLAGS="${LDFLAGS}"
-}
-
-src_compile() {
-       pushd include >/dev/null
-       emake
-       popd >/dev/null
-
-       if use device-mapper-only ; then
-               emake device-mapper
-       else
-               emake
-               emake CC="$(tc-getCC)" -C scripts 
lvm2_activation_generator_systemd_red_hat
-       fi
-}
-
-src_install() {
-       local inst
-       INSTALL_TARGETS="install install_systemd_units 
install_systemd_generators install_tmpfiles_configuration"
-       use device-mapper-only && INSTALL_TARGETS="install_device-mapper"
-       for inst in ${INSTALL_TARGETS}; do
-               emake DESTDIR="${D}" ${inst}
-       done
-
-       newinitd "${FILESDIR}"/device-mapper.rc-2.02.105-r2 device-mapper
-       newconfd "${FILESDIR}"/device-mapper.conf-1.02.22-r3 device-mapper
-
-       if use !device-mapper-only ; then
-               newinitd "${FILESDIR}"/dmeventd.initd-2.02.67-r1 dmeventd
-               newinitd "${FILESDIR}"/lvm.rc-2.02.105-r2 lvm
-               newconfd "${FILESDIR}"/lvm.confd-2.02.28-r2 lvm
-
-               newinitd "${FILESDIR}"/lvm-monitoring.initd-2.02.105-r2 
lvm-monitoring
-               newinitd "${FILESDIR}"/lvmetad.initd-2.02.105-r2 lvmetad
-       fi
-
-       if use clvm; then
-               newinitd "${FILESDIR}"/clvmd.rc-2.02.39 clvmd
-               newconfd "${FILESDIR}"/clvmd.confd-2.02.39 clvmd
-       fi
-
-       if use static-libs; then
-               dolib.a libdm/ioctl/libdevmapper.a
-               dolib.a libdaemon/client/libdaemonclient.a #462908
-               #gen_usr_ldscript libdevmapper.so
-               dolib.a daemons/dmeventd/libdevmapper-event.a
-               #gen_usr_ldscript libdevmapper-event.so
-       else
-               rm -f 
"${ED}"usr/$(get_libdir)/{libdevmapper-event,liblvm2cmd,liblvm2app,libdevmapper}.a
-       fi
-
-       if use lvm2create_initrd; then
-               dosbin scripts/lvm2create_initrd/lvm2create_initrd
-               doman scripts/lvm2create_initrd/lvm2create_initrd.8
-               newdoc scripts/lvm2create_initrd/README README.lvm2create_initrd
-       fi
-
-       insinto /etc
-       doins "${FILESDIR}"/dmtab
-
-       dodoc README VERSION* WHATS_NEW WHATS_NEW_DM doc/*.{c,txt} conf/*.conf
-}
-
-pkg_postinst() {
-       ewarn "Make sure the \"lvm\" init script is in the runlevels:"
-       ewarn "# rc-update add lvm boot"
-       ewarn
-       ewarn "Make sure to enable lvmetad in /etc/lvm/lvm.conf if you want"
-       ewarn "to enable lvm autoactivation and metadata caching."
-}
-
-src_test() {
-       einfo "Tests are disabled because of device-node mucking, if you want 
to"
-       einfo "run tests, compile the package and see ${S}/tests"
-}

diff --git a/sys-fs/lvm2/lvm2-2.02.109.ebuild b/sys-fs/lvm2/lvm2-2.02.109.ebuild
deleted file mode 100644
index 29c6ad3..0000000
--- a/sys-fs/lvm2/lvm2-2.02.109.ebuild
+++ /dev/null
@@ -1,269 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-inherit autotools eutils linux-info multilib systemd toolchain-funcs udev 
flag-o-matic
-
-DESCRIPTION="User-land utilities for LVM2 (device-mapper) software"
-HOMEPAGE="https://sources.redhat.com/lvm2/";
-SRC_URI="ftp://sources.redhat.com/pub/lvm2/${PN/lvm/LVM}.${PV}.tgz
-       ftp://sources.redhat.com/pub/lvm2/old/${PN/lvm/LVM}.${PV}.tgz";
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="alpha amd64 arm arm64 hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 
~amd64-linux ~x86-linux"
-IUSE="readline static static-libs systemd clvm cman lvm1 lvm2create_initrd 
selinux +udev +thin device-mapper-only"
-REQUIRED_USE="device-mapper-only? ( !clvm !cman !lvm1 !lvm2create_initrd !thin 
)"
-
-DEPEND_COMMON="clvm? ( cman? ( =sys-cluster/cman-3* ) =sys-cluster/libdlm-3* )
-       readline? ( sys-libs/readline:0= )
-       udev? ( >=virtual/libudev-208:=[static-libs?] )"
-# /run is now required for locking during early boot. /var cannot be assumed to
-# be available -- thus, pull in recent enough baselayout for /run.
-# This version of LVM is incompatible with cryptsetup <1.1.2.
-RDEPEND="${DEPEND_COMMON}
-       >=sys-apps/baselayout-2.2
-       !<sys-apps/openrc-0.11
-       !<sys-fs/cryptsetup-1.1.2
-       !!sys-fs/clvm
-       !!sys-fs/lvm-user
-       >=sys-apps/util-linux-2.16
-       lvm2create_initrd? ( sys-apps/makedev )
-       thin? ( >=sys-block/thin-provisioning-tools-0.3.0 )"
-# note: thin- 0.3.0 is required to avoid --disable-thin_check_needs_check
-DEPEND="${DEPEND_COMMON}
-       virtual/pkgconfig
-       >=sys-devel/binutils-2.20.1-r1
-       static? (
-               selinux? ( sys-libs/libselinux[static-libs] )
-               udev? ( >=virtual/libudev-208:=[static-libs] )
-               <sys-apps/util-linux-2.25[static-libs]
-       )"
-
-S=${WORKDIR}/${PN/lvm/LVM}.${PV}
-
-pkg_setup() {
-       local CONFIG_CHECK="~SYSVIPC"
-
-       if use udev; then
-               local WARNING_SYSVIPC="CONFIG_SYSVIPC:\tis not set (required 
for udev sync)\n"
-               if linux_config_exists; then
-                       local uevent_helper_path=$(linux_chkconfig_string 
UEVENT_HELPER_PATH)
-                       if [ -n "${uevent_helper_path}" ] && [ 
"${uevent_helper_path}" != '""' ]; then
-                               ewarn "It's recommended to set an empty value 
to the following kernel config option:"
-                               ewarn 
"CONFIG_UEVENT_HELPER_PATH=${uevent_helper_path}"
-                       fi
-               fi
-       fi
-
-       check_extra_config
-
-       # 1. Genkernel no longer copies /sbin/lvm blindly.
-       if use static; then
-               elog "Warning, we no longer overwrite /sbin/lvm and 
/sbin/dmsetup with"
-               elog "their static versions. If you need the static binaries,"
-               elog "you must append .static to the filename!"
-       fi
-}
-
-src_prepare() {
-       # Gentoo specific modification(s):
-       epatch "${FILESDIR}"/${PN}-2.02.108-example.conf.in.patch
-
-       sed -i \
-               -e "1iAR = $(tc-getAR)" \
-               -e "s:CC ?= @CC@:CC = $(tc-getCC):" \
-               make.tmpl.in || die #444082
-
-       sed -i -e '/FLAG/s:-O2::' configure{.in,} || die #480212
-
-       if use systemd && ! use device-mapper-only; then
-               sed -i -e '/use_lvmetad =/s:0:1:' conf/example.conf.in || die 
#514196
-       fi
-
-       sed -i -e "s:/usr/bin/true:$(type -P true):" 
scripts/blk_availability_systemd_red_hat.service.in || die #517514
-
-       # For upstream -- review and forward:
-       epatch "${FILESDIR}"/${PN}-2.02.63-always-make-static-libdm.patch
-       epatch "${FILESDIR}"/${PN}-2.02.56-lvm2create_initrd.patch
-       epatch "${FILESDIR}"/${PN}-2.02.67-createinitrd.patch #301331
-       epatch "${FILESDIR}"/${PN}-2.02.99-locale-muck.patch #330373
-       epatch "${FILESDIR}"/${PN}-2.02.70-asneeded.patch # -Wl,--as-needed
-       epatch "${FILESDIR}"/${PN}-2.02.92-dynamic-static-ldflags.patch #332905
-       epatch "${FILESDIR}"/${PN}-2.02.108-static-pkgconfig-libs.patch 
#370217, #439414 + blkid
-       epatch "${FILESDIR}"/${PN}-2.02.106-pthread-pkgconfig.patch #492450
-
-       # Without thin-privision-tools, there is nothing to install for target 
install_man7:
-       use thin || { sed -i -e '/^install_lvm2/s:install_man7::' 
man/Makefile.in || die; }
-
-       sed -i -e 's:|share):|shared):' configure.in || die #520640
-
-       eautoreconf
-}
-
-src_configure() {
-       filter-flags -flto
-       local myconf
-       local buildmode
-
-       myconf="${myconf} $(use_enable !device-mapper-only dmeventd)"
-       myconf="${myconf} $(use_enable !device-mapper-only cmdlib)"
-       myconf="${myconf} $(use_enable !device-mapper-only applib)"
-       myconf="${myconf} $(use_enable !device-mapper-only fsadm)"
-       myconf="${myconf} $(use_enable !device-mapper-only lvmetad)"
-       use device-mapper-only && myconf="${myconf} 
--disable-udev-systemd-background-jobs"
-
-       # Most of this package does weird stuff.
-       # The build options are tristate, and --without is NOT supported
-       # options: 'none', 'internal', 'shared'
-       if use static; then
-               buildmode="internal"
-               # This only causes the .static versions to become available
-               myconf="${myconf} --enable-static_link"
-       else
-               buildmode="shared"
-       fi
-       dmbuildmode=$(use !device-mapper-only && echo internal || echo none)
-
-       # dmeventd requires mirrors to be internal, and snapshot available
-       # so we cannot disable them
-       myconf="${myconf} --with-mirrors=${dmbuildmode}"
-       myconf="${myconf} --with-snapshots=${dmbuildmode}"
-       if use thin; then
-               myconf="${myconf} --with-thin=internal --with-cache=internal"
-               local texec
-               for texec in check dump repair restore; do
-                       myconf="${myconf} 
--with-thin-${texec}=${EPREFIX}/sbin/thin_${texec}"
-                       myconf="${myconf} 
--with-cache-${texec}=${EPREFIX}/sbin/cache_${texec}"
-               done
-       else
-               myconf="${myconf} --with-thin=none --with-cache=none"
-       fi
-
-       if use lvm1; then
-               myconf="${myconf} --with-lvm1=${buildmode}"
-       else
-               myconf="${myconf} --with-lvm1=none"
-       fi
-
-       # disable O_DIRECT support on hppa, breaks pv detection (#99532)
-       use hppa && myconf="${myconf} --disable-o_direct"
-
-       if use clvm; then
-               myconf="${myconf} --with-cluster=${buildmode}"
-               # 4-state! Make sure we get it right, per bug 210879
-               # Valid options are: none, cman, gulm, all
-               #
-               # 2009/02:
-               # gulm is removed now, now dual-state:
-               # cman, none
-               # all still exists, but is not needed
-               #
-               # 2009/07:
-               # TODO: add corosync and re-enable ALL
-               local clvmd=""
-               use cman && clvmd="cman"
-               #clvmd="${clvmd/cmangulm/all}"
-               [ -z "${clvmd}" ] && clvmd="none"
-               myconf="${myconf} --with-clvmd=${clvmd}"
-               myconf="${myconf} --with-pool=${buildmode}"
-       else
-               myconf="${myconf} --with-clvmd=none --with-cluster=none"
-       fi
-
-       econf \
-               $(use_enable readline) \
-               $(use_enable selinux) \
-               --enable-pkgconfig \
-               --with-confdir="${EPREFIX}"/etc \
-               --exec-prefix="${EPREFIX}" \
-               --sbindir="${EPREFIX}/sbin" \
-               --with-staticdir="${EPREFIX}"/sbin \
-               --libdir="${EPREFIX}/$(get_libdir)" \
-               --with-usrlibdir="${EPREFIX}/usr/$(get_libdir)" \
-               --with-default-dm-run-dir=/run \
-               --with-default-run-dir=/run/lvm \
-               --with-default-locking-dir=/run/lock/lvm \
-               --with-default-pid-dir=/run \
-               $(use_enable udev udev_rules) \
-               $(use_enable udev udev_sync) \
-               $(use_with udev udevdir "$(get_udevdir)"/rules.d) \
-               $(use_enable systemd udev-systemd-background-jobs) \
-               "$(systemd_with_unitdir)" \
-               ${myconf} \
-               CLDFLAGS="${LDFLAGS}"
-}
-
-src_compile() {
-       pushd include >/dev/null
-       emake
-       popd >/dev/null
-
-       if use device-mapper-only ; then
-               emake device-mapper
-       else
-               emake
-               emake CC="$(tc-getCC)" -C scripts 
lvm2_activation_generator_systemd_red_hat
-       fi
-}
-
-src_install() {
-       local inst
-       INSTALL_TARGETS="install install_systemd_units 
install_systemd_generators install_tmpfiles_configuration"
-       use device-mapper-only && INSTALL_TARGETS="install_device-mapper"
-       for inst in ${INSTALL_TARGETS}; do
-               emake DESTDIR="${D}" ${inst}
-       done
-
-       newinitd "${FILESDIR}"/device-mapper.rc-2.02.105-r2 device-mapper
-       newconfd "${FILESDIR}"/device-mapper.conf-1.02.22-r3 device-mapper
-
-       if use !device-mapper-only ; then
-               newinitd "${FILESDIR}"/dmeventd.initd-2.02.67-r1 dmeventd
-               newinitd "${FILESDIR}"/lvm.rc-2.02.105-r2 lvm
-               newconfd "${FILESDIR}"/lvm.confd-2.02.28-r2 lvm
-
-               newinitd "${FILESDIR}"/lvm-monitoring.initd-2.02.105-r2 
lvm-monitoring
-               newinitd "${FILESDIR}"/lvmetad.initd-2.02.105-r2 lvmetad
-       fi
-
-       if use clvm; then
-               newinitd "${FILESDIR}"/clvmd.rc-2.02.39 clvmd
-               newconfd "${FILESDIR}"/clvmd.confd-2.02.39 clvmd
-       fi
-
-       if use static-libs; then
-               dolib.a libdm/ioctl/libdevmapper.a
-               dolib.a libdaemon/client/libdaemonclient.a #462908
-               #gen_usr_ldscript libdevmapper.so
-               dolib.a daemons/dmeventd/libdevmapper-event.a
-               #gen_usr_ldscript libdevmapper-event.so
-       else
-               rm -f 
"${ED}"usr/$(get_libdir)/{libdevmapper-event,liblvm2cmd,liblvm2app,libdevmapper}.a
-       fi
-
-       if use lvm2create_initrd; then
-               dosbin scripts/lvm2create_initrd/lvm2create_initrd
-               doman scripts/lvm2create_initrd/lvm2create_initrd.8
-               newdoc scripts/lvm2create_initrd/README README.lvm2create_initrd
-       fi
-
-       insinto /etc
-       doins "${FILESDIR}"/dmtab
-
-       dodoc README VERSION* WHATS_NEW WHATS_NEW_DM doc/*.{c,txt} conf/*.conf
-}
-
-pkg_postinst() {
-       ewarn "Make sure the \"lvm\" init script is in the runlevels:"
-       ewarn "# rc-update add lvm boot"
-       ewarn
-       ewarn "Make sure to enable lvmetad in /etc/lvm/lvm.conf if you want"
-       ewarn "to enable lvm autoactivation and metadata caching."
-}
-
-src_test() {
-       einfo "Tests are disabled because of device-node mucking, if you want 
to"
-       einfo "run tests, compile the package and see ${S}/tests"
-}

diff --git a/sys-fs/lvm2/lvm2-2.02.110.ebuild b/sys-fs/lvm2/lvm2-2.02.110.ebuild
deleted file mode 100644
index d90358a..0000000
--- a/sys-fs/lvm2/lvm2-2.02.110.ebuild
+++ /dev/null
@@ -1,272 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-inherit autotools eutils linux-info multilib systemd toolchain-funcs udev 
flag-o-matic
-
-DESCRIPTION="User-land utilities for LVM2 (device-mapper) software"
-HOMEPAGE="https://sources.redhat.com/lvm2/";
-SRC_URI="ftp://sources.redhat.com/pub/lvm2/${PN/lvm/LVM}.${PV}.tgz
-       ftp://sources.redhat.com/pub/lvm2/old/${PN/lvm/LVM}.${PV}.tgz";
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~amd64-linux ~x86-linux"
-IUSE="readline static static-libs systemd clvm cman lvm1 lvm2create_initrd 
selinux +udev +thin device-mapper-only"
-REQUIRED_USE="device-mapper-only? ( !clvm !cman !lvm1 !lvm2create_initrd !thin 
)
-       systemd? ( udev )
-       static? ( !udev )" #520450
-
-DEPEND_COMMON="clvm? ( cman? ( =sys-cluster/cman-3* ) =sys-cluster/libdlm-3* )
-       readline? ( sys-libs/readline:0= )
-       udev? ( >=virtual/libudev-208:=[static-libs?] )"
-# /run is now required for locking during early boot. /var cannot be assumed to
-# be available -- thus, pull in recent enough baselayout for /run.
-# This version of LVM is incompatible with cryptsetup <1.1.2.
-RDEPEND="${DEPEND_COMMON}
-       >=sys-apps/baselayout-2.2
-       !<sys-apps/openrc-0.11
-       !<sys-fs/cryptsetup-1.1.2
-       !!sys-fs/clvm
-       !!sys-fs/lvm-user
-       >=sys-apps/util-linux-2.16
-       lvm2create_initrd? ( sys-apps/makedev )
-       thin? ( >=sys-block/thin-provisioning-tools-0.3.0 )"
-# note: thin- 0.3.0 is required to avoid --disable-thin_check_needs_check
-DEPEND="${DEPEND_COMMON}
-       virtual/pkgconfig
-       >=sys-devel/binutils-2.20.1-r1
-       static? (
-               selinux? ( sys-libs/libselinux[static-libs] )
-               udev? ( >=virtual/libudev-208:=[static-libs] )
-               >=sys-apps/util-linux-2.16[static-libs]
-       )"
-
-S=${WORKDIR}/${PN/lvm/LVM}.${PV}
-
-pkg_setup() {
-       local CONFIG_CHECK="~SYSVIPC"
-
-       if use udev; then
-               local WARNING_SYSVIPC="CONFIG_SYSVIPC:\tis not set (required 
for udev sync)\n"
-               if linux_config_exists; then
-                       local uevent_helper_path=$(linux_chkconfig_string 
UEVENT_HELPER_PATH)
-                       if [ -n "${uevent_helper_path}" ] && [ 
"${uevent_helper_path}" != '""' ]; then
-                               ewarn "It's recommended to set an empty value 
to the following kernel config option:"
-                               ewarn 
"CONFIG_UEVENT_HELPER_PATH=${uevent_helper_path}"
-                       fi
-               fi
-       fi
-
-       check_extra_config
-
-       # 1. Genkernel no longer copies /sbin/lvm blindly.
-       if use static; then
-               elog "Warning, we no longer overwrite /sbin/lvm and 
/sbin/dmsetup with"
-               elog "their static versions. If you need the static binaries,"
-               elog "you must append .static to the filename!"
-       fi
-}
-
-src_prepare() {
-       # Gentoo specific modification(s):
-       epatch "${FILESDIR}"/${PN}-2.02.108-example.conf.in.patch
-
-       sed -i \
-               -e "1iAR = $(tc-getAR)" \
-               -e "s:CC ?= @CC@:CC = $(tc-getCC):" \
-               make.tmpl.in || die #444082
-
-       sed -i -e '/FLAG/s:-O2::' configure{.in,} || die #480212
-
-       if use udev && ! use device-mapper-only; then
-               sed -i -e '/use_lvmetad =/s:0:1:' conf/example.conf.in || die 
#514196
-               elog "Notice that \"use_lvmetad\" setting is enabled with 
USE=\"udev\" in"
-               elog "/etc/lvm/lvm.conf, which will require restart of udev, 
lvm, and lvmetad"
-               elog "if it was previously disabled."
-       fi
-
-       sed -i -e "s:/usr/bin/true:$(type -P true):" 
scripts/blk_availability_systemd_red_hat.service.in || die #517514
-
-       # For upstream -- review and forward:
-       epatch "${FILESDIR}"/${PN}-2.02.63-always-make-static-libdm.patch
-       epatch "${FILESDIR}"/${PN}-2.02.56-lvm2create_initrd.patch
-       epatch "${FILESDIR}"/${PN}-2.02.67-createinitrd.patch #301331
-       epatch "${FILESDIR}"/${PN}-2.02.99-locale-muck.patch #330373
-       epatch "${FILESDIR}"/${PN}-2.02.70-asneeded.patch # -Wl,--as-needed
-       epatch "${FILESDIR}"/${PN}-2.02.92-dynamic-static-ldflags.patch #332905
-       epatch "${FILESDIR}"/${PN}-2.02.108-static-pkgconfig-libs.patch 
#370217, #439414 + blkid
-       epatch "${FILESDIR}"/${PN}-2.02.106-pthread-pkgconfig.patch #492450
-
-       # Without thin-privision-tools, there is nothing to install for target 
install_man7:
-       use thin || { sed -i -e '/^install_lvm2/s:install_man7::' 
man/Makefile.in || die; }
-
-       eautoreconf
-}
-
-src_configure() {
-       filter-flags -flto
-       local myconf
-       local buildmode
-
-       myconf="${myconf} $(use_enable !device-mapper-only dmeventd)"
-       myconf="${myconf} $(use_enable !device-mapper-only cmdlib)"
-       myconf="${myconf} $(use_enable !device-mapper-only applib)"
-       myconf="${myconf} $(use_enable !device-mapper-only fsadm)"
-       myconf="${myconf} $(use_enable !device-mapper-only lvmetad)"
-       use device-mapper-only && myconf="${myconf} 
--disable-udev-systemd-background-jobs"
-
-       # Most of this package does weird stuff.
-       # The build options are tristate, and --without is NOT supported
-       # options: 'none', 'internal', 'shared'
-       if use static; then
-               buildmode="internal"
-               # This only causes the .static versions to become available
-               myconf="${myconf} --enable-static_link"
-       else
-               buildmode="shared"
-       fi
-       dmbuildmode=$(use !device-mapper-only && echo internal || echo none)
-
-       # dmeventd requires mirrors to be internal, and snapshot available
-       # so we cannot disable them
-       myconf="${myconf} --with-mirrors=${dmbuildmode}"
-       myconf="${myconf} --with-snapshots=${dmbuildmode}"
-       if use thin; then
-               myconf="${myconf} --with-thin=internal --with-cache=internal"
-               local texec
-               for texec in check dump repair restore; do
-                       myconf="${myconf} 
--with-thin-${texec}=${EPREFIX}/sbin/thin_${texec}"
-                       myconf="${myconf} 
--with-cache-${texec}=${EPREFIX}/sbin/cache_${texec}"
-               done
-       else
-               myconf="${myconf} --with-thin=none --with-cache=none"
-       fi
-
-       if use lvm1; then
-               myconf="${myconf} --with-lvm1=${buildmode}"
-       else
-               myconf="${myconf} --with-lvm1=none"
-       fi
-
-       # disable O_DIRECT support on hppa, breaks pv detection (#99532)
-       use hppa && myconf="${myconf} --disable-o_direct"
-
-       if use clvm; then
-               myconf="${myconf} --with-cluster=${buildmode}"
-               # 4-state! Make sure we get it right, per bug 210879
-               # Valid options are: none, cman, gulm, all
-               #
-               # 2009/02:
-               # gulm is removed now, now dual-state:
-               # cman, none
-               # all still exists, but is not needed
-               #
-               # 2009/07:
-               # TODO: add corosync and re-enable ALL
-               local clvmd=""
-               use cman && clvmd="cman"
-               #clvmd="${clvmd/cmangulm/all}"
-               [ -z "${clvmd}" ] && clvmd="none"
-               myconf="${myconf} --with-clvmd=${clvmd}"
-               myconf="${myconf} --with-pool=${buildmode}"
-       else
-               myconf="${myconf} --with-clvmd=none --with-cluster=none"
-       fi
-
-       econf \
-               $(use_enable readline) \
-               $(use_enable selinux) \
-               --enable-pkgconfig \
-               --with-confdir="${EPREFIX}"/etc \
-               --exec-prefix="${EPREFIX}" \
-               --sbindir="${EPREFIX}/sbin" \
-               --with-staticdir="${EPREFIX}"/sbin \
-               --libdir="${EPREFIX}/$(get_libdir)" \
-               --with-usrlibdir="${EPREFIX}/usr/$(get_libdir)" \
-               --with-default-dm-run-dir=/run \
-               --with-default-run-dir=/run/lvm \
-               --with-default-locking-dir=/run/lock/lvm \
-               --with-default-pid-dir=/run \
-               $(use_enable udev udev_rules) \
-               $(use_enable udev udev_sync) \
-               $(use_with udev udevdir "$(get_udevdir)"/rules.d) \
-               $(use_enable systemd udev-systemd-background-jobs) \
-               "$(systemd_with_unitdir)" \
-               ${myconf} \
-               CLDFLAGS="${LDFLAGS}"
-}
-
-src_compile() {
-       pushd include >/dev/null
-       emake
-       popd >/dev/null
-
-       if use device-mapper-only ; then
-               emake device-mapper
-       else
-               emake
-               emake CC="$(tc-getCC)" -C scripts 
lvm2_activation_generator_systemd_red_hat
-       fi
-}
-
-src_install() {
-       local inst
-       INSTALL_TARGETS="install install_systemd_units 
install_systemd_generators install_tmpfiles_configuration"
-       use device-mapper-only && INSTALL_TARGETS="install_device-mapper"
-       for inst in ${INSTALL_TARGETS}; do
-               emake DESTDIR="${D}" ${inst}
-       done
-
-       newinitd "${FILESDIR}"/device-mapper.rc-2.02.105-r2 device-mapper
-       newconfd "${FILESDIR}"/device-mapper.conf-1.02.22-r3 device-mapper
-
-       if use !device-mapper-only ; then
-               newinitd "${FILESDIR}"/dmeventd.initd-2.02.67-r1 dmeventd
-               newinitd "${FILESDIR}"/lvm.rc-2.02.105-r2 lvm
-               newconfd "${FILESDIR}"/lvm.confd-2.02.28-r2 lvm
-
-               newinitd "${FILESDIR}"/lvm-monitoring.initd-2.02.105-r2 
lvm-monitoring
-               newinitd "${FILESDIR}"/lvmetad.initd-2.02.105-r2 lvmetad
-       fi
-
-       if use clvm; then
-               newinitd "${FILESDIR}"/clvmd.rc-2.02.39 clvmd
-               newconfd "${FILESDIR}"/clvmd.confd-2.02.39 clvmd
-       fi
-
-       if use static-libs; then
-               dolib.a libdm/ioctl/libdevmapper.a
-               dolib.a libdaemon/client/libdaemonclient.a #462908
-               #gen_usr_ldscript libdevmapper.so
-               dolib.a daemons/dmeventd/libdevmapper-event.a
-               #gen_usr_ldscript libdevmapper-event.so
-       else
-               rm -f 
"${ED}"usr/$(get_libdir)/{libdevmapper-event,liblvm2cmd,liblvm2app,libdevmapper}.a
-       fi
-
-       if use lvm2create_initrd; then
-               dosbin scripts/lvm2create_initrd/lvm2create_initrd
-               doman scripts/lvm2create_initrd/lvm2create_initrd.8
-               newdoc scripts/lvm2create_initrd/README README.lvm2create_initrd
-       fi
-
-       insinto /etc
-       doins "${FILESDIR}"/dmtab
-
-       dodoc README VERSION* WHATS_NEW WHATS_NEW_DM doc/*.{c,txt} conf/*.conf
-}
-
-pkg_postinst() {
-       ewarn "Make sure the \"lvm\" init script is in the runlevels:"
-       ewarn "# rc-update add lvm boot"
-       ewarn
-       ewarn "Make sure to enable lvmetad in /etc/lvm/lvm.conf if you want"
-       ewarn "to enable lvm autoactivation and metadata caching."
-}
-
-src_test() {
-       einfo "Tests are disabled because of device-node mucking, if you want 
to"
-       einfo "run tests, compile the package and see ${S}/tests"
-}

Reply via email to